com.amazonaws.services.codebuild.model

## Class BatchGetBuildsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codebuild.model.BatchGetBuildsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class BatchGetBuildsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchGetBuildsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetBuildsResult` `clone()`
`boolean` `equals(Object obj)`
`List<Build>` `getBuilds()` Information about the requested builds.
`List<String>` `getBuildsNotFound()` The IDs of builds for which information could not be found.
`int` `hashCode()`
`void` `setBuilds(Collection<Build> builds)` Information about the requested builds.
`void` `setBuildsNotFound(Collection<String> buildsNotFound)` The IDs of builds for which information could not be found.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetBuildsResult` `withBuilds(Build... builds)` Information about the requested builds.
`BatchGetBuildsResult` `withBuilds(Collection<Build> builds)` Information about the requested builds.
`BatchGetBuildsResult` `withBuildsNotFound(Collection<String> buildsNotFound)` The IDs of builds for which information could not be found.
`BatchGetBuildsResult` `withBuildsNotFound(String... buildsNotFound)` The IDs of builds for which information could not be found.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetBuildsResult

    public BatchGetBuildsResult()

### Method Detail

#### getBuilds

    public List<Build> getBuilds()

Information about the requested builds.

Returns:
  Information about the requested builds.

#### setBuilds

    public void setBuilds(Collection<Build> builds)

Information about the requested builds.

Parameters:
  `builds` - Information about the requested builds.

#### withBuilds

    public BatchGetBuildsResult withBuilds(Build... builds)

Information about the requested builds.

NOTE: This method appends the values to the existing list (if any). Use `setBuilds(java.util.Collection)` or `withBuilds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `builds` - Information about the requested builds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withBuilds

    public BatchGetBuildsResult withBuilds(Collection<Build> builds)

Information about the requested builds.

Parameters:
  `builds` - Information about the requested builds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getBuildsNotFound

    public List<String> getBuildsNotFound()

The IDs of builds for which information could not be found.

Returns:
  The IDs of builds for which information could not be found.

#### setBuildsNotFound

    public void setBuildsNotFound(Collection<String> buildsNotFound)

The IDs of builds for which information could not be found.

Parameters:
  `buildsNotFound` - The IDs of builds for which information could not be found.

#### withBuildsNotFound

    public BatchGetBuildsResult withBuildsNotFound(String... buildsNotFound)

The IDs of builds for which information could not be found.

NOTE: This method appends the values to the existing list (if any). Use `setBuildsNotFound(java.util.Collection)` or `withBuildsNotFound(java.util.Collection)` if you want to override the existing values.

Parameters:
  `buildsNotFound` - The IDs of builds for which information could not be found.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withBuildsNotFound

    public BatchGetBuildsResult withBuildsNotFound(Collection<String> buildsNotFound)

The IDs of builds for which information could not be found.

Parameters:
  `buildsNotFound` - The IDs of builds for which information could not be found.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetBuildsResult clone()

Overrides:
  `clone` in class `Object`